Noitom Hi5 Unity SDK: HI5.HI5_Source Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Public Member Functions | Public Attributes | List of all members
HI5.HI5_Source Class Reference

Manage the received data of HI5 glove More...

## Public Member Functions

Vector3 | GetReceivedRotation (int boneIndex, Hand handType)
| Get received rotation data of left/right hand specific bones. The index is referenced to Bones enum. More...
Vector3 | GetReceivedPosition (int boneIndex, Hand handType)
| Get received position data of left/right hand specific bones. The index is referenced to Bones enum. More...

## Public Attributes

Vector3 [] | L_BonePos = new Vector3[(int)Bones.NumOfHI5Bones]
| The position data array of left hand bones. The array is referenced to Bones enum. More...
Vector3 [] | R_BonePos = new Vector3[(int)Bones.NumOfHI5Bones]
| The position data array of right hand bones. The array is referenced to Bones enum. More...
Vector3 [] | L_BoneRot = new Vector3[(int)Bones.NumOfHI5Bones]
| The rotation data array of left hand bones. The array is referenced to Bones enum. More...
Vector3 [] | R_BoneRot = new Vector3[(int)Bones.NumOfHI5Bones]
| The rotation data array of right hand bones. The array is referenced to Bones enum. More...

## Detailed Description

Manage the received data of HI5 glove

## Member Function Documentation

## ◆ GetReceivedPosition()

Vector3 HI5.HI5_Source.GetReceivedPosition | ( | int | boneIndex,
|  | Hand | handType
| ) |  |

Get received position data of left/right hand specific bones. The index is referenced to Bones enum.

Parameters

  boneIndex | The index of the specific bone. Reference by HI5.Bones.
  handType | The type of HI5.Hand.

Returns
  The received position of specific bone by UnityEngine.Vector3.

## ◆ GetReceivedRotation()

Vector3 HI5.HI5_Source.GetReceivedRotation | ( | int | boneIndex,
|  | Hand | handType
| ) |  |

Get received rotation data of left/right hand specific bones. The index is referenced to Bones enum.

Parameters

  boneIndex | The index of the specific bone. Reference by HI5.Bones.
  handType | The type of HI5.Hand.

Returns
  The received rotation of specific bone by UnityEngine.Vector3.

## Member Data Documentation

## ◆ L_BonePos

Vector3 [] HI5.HI5_Source.L_BonePos = new Vector3[(int)Bones.NumOfHI5Bones]

The position data array of left hand bones. The array is referenced to Bones enum.

## ◆ L_BoneRot

Vector3 [] HI5.HI5_Source.L_BoneRot = new Vector3[(int)Bones.NumOfHI5Bones]

The rotation data array of left hand bones. The array is referenced to Bones enum.

## ◆ R_BonePos

Vector3 [] HI5.HI5_Source.R_BonePos = new Vector3[(int)Bones.NumOfHI5Bones]

The position data array of right hand bones. The array is referenced to Bones enum.

## ◆ R_BoneRot

Vector3 [] HI5.HI5_Source.R_BoneRot = new Vector3[(int)Bones.NumOfHI5Bones]

The rotation data array of right hand bones. The array is referenced to Bones enum.